Subject: Re: git-cherry-pick and git-commit --amend in version 1.7.6.4

From: Nicolas Dichtel <[email-masked]>
Date: Thu, 06 Oct 2011 15:22:56 +0200

Le 06/10/2011 15:09, Jay Soffian a écrit :
> On Thu, Oct 6, 2011 at 3:37 AM, Nicolas Dichtel
> <[email-masked]>  wrote:
>> # ls .git
>> branches  COMMIT_EDITMSG  config  description  FETCH_HEAD  HEAD  hooks
>>   index info  logs  objects  ORIG_HEAD  packed-refs  refs
>
> No CHERRY_PICK_HEAD, so far so good.
>
>> # git cherry-pick 3f78d1f210ff89af77f042ab7f4a8fee39feb1c9
>> [dev 4cca2c2] drivers/net/usb/asix.c: Fix unaligned accesses
>>   1 files changed, 33 insertions(+), 1 deletions(-)
>
> cherry-pick completes successfully.
>
>> # ls .git
>> branches  CHERRY_PICK_HEAD  COMMIT_EDITMSG  config  description  FETCH_HEAD
>> HEAD  hooks  index  info  logs  objects  ORIG_HEAD  packed-refs  refs
>
> This is bad. CHERRY_PICK_HEAD should only exist if the cherry-pick failed.
>
> I really don't know what could cause this. Possibly a hook in your repo?
No hooks:
# ls .git/hooks/
applypatch-msg.sample  post-commit.sample   post-update.sample 
pre-commit.sample          pre-rebase.sample
commit-msg.sample      post-receive.sample  pre-applypatch.sample 
prepare-commit-msg.sample  update.sample

>
> Using "GIT_TRACE=1 git cherry-pick
> 3f78d1f210ff89af77f042ab7f4a8fee39feb1c9" will tell you whether git is
> running any hooks.
Here is the output:
# GIT_TRACE=1 git cherry-pick 3f78d1f210ff89af77f042ab7f4a8fee39feb1c9
trace: built-in: git 'cherry-pick' '3f78d1f210ff89af77f042ab7f4a8fee39feb1c9'
trace: run_command: 'commit' '-n' '-F' '.git/MERGE_MSG'
trace: exec: 'git' 'commit' '-n' '-F' '.git/MERGE_MSG'
setup: git_dir: .git
setup: worktree: /home/dichtel/DEV/linux-2.6
setup: cwd: /home/dichtel/DEV/linux-2.6
setup: prefix: (null)
trace: built-in: git 'commit' '-n' '-F' '.git/MERGE_MSG'
[master 8372873] drivers/net/usb/asix.c: Fix unaligned accesses
  1 files changed, 33 insertions(+), 1 deletions(-)
#

>
> I can't think of anything config-wise that would cause this behavior.
With a very basic config, the pb he still here:
cat ~/.gitconfig
[user]
         name = Nicolas Dichtel
         email = [email-masked]

I will try to do some other tests.

Regards,
Nicolas